import { DeepClientInstance } from './client';
export declare class Package {
    deep: DeepClientInstance;
    name: string;
    constructor(options: PackageOptions);
    createEntity(name: string): {
        id: () => Promise<number>;
        idLocal: () => number;
        name: string;
    };
    id(...names: string[]): Promise<number>;
    idLocal(...names: string[]): number;
    applyMiniLinks(): Promise<{
        errors?: import("./minilinks").MinilinkError[];
        anomalies?: import("./minilinks").MinilinkError[];
    }>;
}
export interface PackageOptions {
    name: string;
    deep: DeepClientInstance;
}
